Subject: new snapshot available: grep-2.14.51-7a35

From: Jim Meyering <[email-masked]>
Date: Tue, 22 Oct 2013 22:12:18 -0700

Paul and I have made build/portability-related fixes, and I've
regenerated build files using newer versions of autoconf and automake.
 Also, several translations have been updated.  Thanks to all.  I
think we're probably ready to release, but will wait at least a day or
so more.

grep snapshot:
  http://meyering.net/grep/grep-ss.tar.xz      1.3 MB
  http://meyering.net/grep/grep-ss.tar.xz.sig
  http://meyering.net/grep/grep-2.14.51-7a35.tar.xz

Changes in grep since 2.14.46-f4d35:

Jim Meyering (2):
      maint: remove now-unused wcscoll module
      gnulib: update to latest

Paul Eggert (3):
      build: port to platforms that predefine _FORTIFY_SOURCE
      build: port shell pattern to Solaris 10
      build: avoid chatter from Automake 1.14

Changes in gnulib since 2.14.46-f4d35:

* gnulib e485bba...974b76b (70):
  > regex: also remove dependency on HAVE_WCSCOLL
  > xfreopen: fix typo: s/frepoen/freopen/
  > regex: don't depend on wcscoll
  > error: add the printf attribute to a static function
  > error: make the module depend on vfprintf-posix
  > fpending, obstack, strerror-override: use pure+const function attrs
  > extern-inline: make safe for -Wundef usage
  > mkfifo-tests, etc.: allow HP-UX 11.11 bug
  > acl: allow cross-compilation to Gentoo
  > mgetgroups: remove dependency on realloc-gnu
  > regex-tests: port to HP-UX 11.11
  > verify: document some 'assume' pitfalls
  > strtoumax: fix another typo in previous commit
  > strtoumax: fix typo in previous commit.
  > strtoumax: port to Solaris 8
  > autoupdate
  > strtoimax, strtoumax: port to HP-UX 11.11
  > strtoimax: port to HP-UX 11.11
  > New module 'count-trailing-zeros'.
  > count-leading-zeros: port to MSC; support types wider than 64 bits
  > count-one-bits: port to MSC; support types wider than 64 bits
  > mountlist: fix resource leak with MOUNTED_INTERIX_STATVFS
  > tests: improve diagnostic when an assertion fails
  > verify: new macro 'assume'
  > autoupdate
  > dup2, dup3: work around another cygwin crasher
  > getdtablesize: work around cygwin issue
  > pmccabe2html: escaping of special characters
  > manywarnings: enable nicer gcc warning messages
  > timespec: use the new TIMESPEC_RESOLUTION in a few more places
  > warnings: port --enable-gcc-warnings to Solaris Studio 12.3
  > configmake: support new --runstatedir option
  > ctype, string: depend on extern-inline
  > userspec: support optional parameters to parse_user_spec()
  > timespec: new function make_timespec, and new constants
  > stdio: OS X port of putc_unlocked + extern inline
  > signal: OS X port of sigaddset etc. + extern inline
  > extern-inline: do not always suppress extern inline on OS X
  > extern-inline: document fixes for ctype and wctype macros
  > fflush, freadahead, fseeko: Fix for Android
  > pmccabe2html: fix portability issues
  > getgroups: statement without effect
  > autoupdate
  > update from texinfo
  > update from texinfo
  > glob: fix compilation
  > glob: fix build for platforms without __THROW
  > autoupdate
  > regex-quote: fix buffer access out of bounds
  > glob: avoid -Wattribute warnings on glibc
  > headers: check that _GL_INLINE_HEADER_BEGIN is defined
  > bootstrap: remove the --version requirement from ancillary tools
  > gc: support HMAC-SHA256 and HMAC-SHA512.
  > gettext: update to version 0.18.3.1
  > selinux-at: omit unnecessary include
  > autoupdate
  > d-ino: avoid false negative on symlink
  > update from texinfo
  > autoupdate
  > bootstrap: port to OpenBSD sed
  > warnings: minor optimization
  > warnings: check -Wfoo rather than -Wno-foo
  > accept doclicense option
  > accept doclicense option
  > xvasprintf-tests: port to GCC with hardening flags
  > fpending: port to recent Cygwin change to stdio_ext.h
  > no need for tendentious comment
  > regenerate
  > autoupdate
  > sys_time: port to OpenBSD